ide .....spe

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

ide .....spe

babywolf_2
我正在研究python gui  安装 了python2.4  wxpython 2.8
 想装个spe 可是着不到适合 的版本...... ,昨天安装的SPE-0.8.2.a-wx2.6.1.0-py24.exe 虽然成功,但是无法启动...
 
请问各位都是用什么版本的spe 啊.....  还有与之配套的环境. 在哪里可以下载到,最近网络不好,好多国外的地址都上不去!
 


babywolf_2
2007-01-30

_______________________________________________
python-chinese
Post: send [hidden email]
Subscribe: send subscribe to [hidden email]
Unsubscribe: send unsubscribe to  [hidden email]
Detail Info: http://python.cn/mailman/listinfo/python-chinese
Reply | Threaded
Open this post in threaded view
|

Re: ide .....spe

Can Xue
无法启动多半是在 win 下,出现编码错误。
我的解决办法:
在 Python 启动时会自动搜寻到的目录创建一个名为 sitecustomize.py 的文件,写入:

import sys
sys.setdefaultencoding(sys.getfilesystemencoding())
_______________________________________________
python-chinese
Post: send [hidden email]
Subscribe: send subscribe to [hidden email]
Unsubscribe: send unsubscribe to  [hidden email]
Detail Info: http://python.cn/mailman/listinfo/python-chinese